export declare type RootType = "document";
export declare type MainTypes = "paragraph" | HeaderTypes | ListTypes | "hr";
export declare type HeaderTypes = "heading-1" | "heading-2" | "heading-3" | "heading-4" | "heading-5" | "heading-6";
export declare type ListTypes = "ordered-list" | "unordered-list";
export declare type NodeTypes = "paragraph" | "ordered-list" | "unordered-list" | "list-item" | "hyperlink";
export declare type AllNodeTypes = NodeTypes | MainTypes | RootType | LeafType;
export declare type LeafType = "text";
export declare abstract class BaseContentfulNode {
    nodeType: AllNodeTypes;
    data: BaseData;
    constructor(nodeType?: AllNodeTypes);
}
export declare class ContentContentfulNode extends BaseContentfulNode {
    nodeType: NodeTypes | MainTypes | RootType;
    content: BaseContentfulNode[];
    constructor(nodeType?: NodeTypes | MainTypes | RootType);
}
export declare class RootContentfulNode extends ContentContentfulNode {
    constructor();
}
export declare class LeafContentfulNode extends BaseContentfulNode {
    value: string;
    nodeType: LeafType;
    marks: ContentfulMark[];
    constructor(value: string, nodeType?: LeafType);
    addMark(mark: MarkTypes): void;
}
export declare class BaseData {
}
export declare class UriData extends BaseData {
    uri: string;
    constructor(uri?: string);
}
export declare type MarkTypes = "underline" | "bold" | "italic" | "code";
export declare class ContentfulMark {
    type: MarkTypes;
    constructor(type?: MarkTypes);
}
export declare function generateRichText(html: string): RootContentfulNode;
